TELLDIR(3)

NAME
telldir - return current location in directory stream

SYNOPSIS
#include <dirent.h>

long telldir(DIR *dirp);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

telldir(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE

DESCRIPTION
The telldir() function returns the current location associated with the directory stream dirp.

RETURN VALUE
On success, the telldir() function returns the current location in the directory stream. On error, -1 is returned, and errno is set appropriately.

ERRORS

EBADF
    Invalid directory stream descriptor dirp.

CONFORMING TO
4.3BSD, POSIX.1-2001.

NOTES
In glibc up to version 2.1.1, the return type of telldir() was off_t. POSIX.1-2001 specifies long, and this is the type used since glibc 2.1.2.

SEE ALSO
closedir(3), opendir(3), readdir(3), rewinddir(3), scandir(3), seekdir(3)

COLOPHON
This page is part of release 3.25 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.